from setuptools import setup, find_packages

setup(
    name="FeynmanAi",
    version="0.1.0",
    description="A command-line tool for using RAG model on Local documents",
    author="Oscar Karuga",
    author_email="oscarkaruga1@gmail.com",
    url="https://github.com/oscar066/FeynmanAI.git",

    packages=find_packages(exclude=["tests", "**pycache"]),

    install_requires = [
        "haystack-ai",
        "datasets>=2.6.1",
        "sentence-transformers>=2.2.0",
        "python-dotenv", 
        "pypdf",
        "python-docx",
        "python-pptx",
        "colorlog",
        "colorama",
    ],

    entry_points={
        "console_scripts" : [
            "FeynmanAi=rag_cli:main"
        ]
    },

    classifiers = [
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent"
    ]
)